AI Agents
Get AI agent
Returns one AI agent’s configuration. Use aiAgents.list to find its id first.
GET
/
v1
/
ai-agents
/
{id}
Get AI agent
curl --request GET \
--url https://app.chatbotx.io/api/v1/ai-agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/ai-agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/ai-agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"prompt": "<string>",
"messages": [
"<string>"
],
"isDefault": true,
"isRichResponse": true,
"tools": [
"<string>"
],
"webSearchAuthorizedDomains": [
"<string>"
],
"models": [
"<string>"
],
"temperature": -0.5,
"maxOutputTokens": -1,
"id": "<unknown>",
"workspaceId": "<unknown>"
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI agent id. Get it from aiAgents.list.
Pattern:
^\d+$Response
OK
Required range:
-140737488355328 <= x <= 140737488355327Required range:
-2147483648 <= x <= 2147483647Was this page helpful?
⌘I
Get AI agent
